import numpy as np

def meanPerLayer(cae_w):
    npzfile = np.load(cae_w)
    absPerLayer = [ np.abs(npzfile[str(key)].flatten()) for key in range(8)]
    meanPerLayer = [ np.mean(absLayer) for absLayer in absPerLayer ]
    return meanPerLayer

if __name__ == '__main__':
    caes = ['/home/torstein/dqn_runs/long/breakout/91_01_sgdFreq_long/step0.npz',
            '/home/torstein/dqn_runs/cae/games_small/cae_weights.npz',
            '/home/torstein/dqn_runs/cae/imagenet_small/cae_weights.npz',
            '/home/torstein/dqn_runs/cae/breakout_small/cae_weights.npz',
            '/home/torstein/dqn_runs/cae/qbert_small/cae_weights.npz',
            '/home/torstein/dqn_runs/cae/space_invaders_small/cae_weights.npz',
            '/home/torstein/dqn_runs/cae/breakout_small_correct/cae_weights.npz',
            '/home/torstein/dqn_runs/cae/qb_small_correct/cae_weights.npz',
            '/home/torstein/dqn_runs/cae/sp_small_correct/cae_weights.npz',]
    for cae in caes: 
        print cae, meanPerLayer(cae)

"""
/home/torstein/dqn_runs/long/breakout/91_01_sgdFreq_long/step0.npz      [0.031531177, 0.036856789, 0.022167934, 0.021629054, 0.020818761, 0.019966997, 0.0089244889, 0.0087352255]
/home/torstein/dqn_runs/cae/games_small/cae_weights.npz                 [0.14316878, 0.25889257, 0.13308287, 0.10772711, 0.13075453, 0.08707267, 0.08298628, 0.15046492]
/home/torstein/dqn_runs/cae/imagenet_small/cae_weights.npz              [0.065224022, 0.11458673, 0.042334221, 0.10875243, 0.048759468, 0.092036769, 0.029269505, 0.060137354]
/home/torstein/dqn_runs/cae/breakout_small/cae_weights.npz              [0.077818103, 0.061232276, 0.078850262, 0.10809569, 0.1078997, 0.022485141, 0.032700043, 0.045964539]
/home/torstein/dqn_runs/cae/qbert_small/cae_weights.npz                 [0.10104814, 0.2338497, 0.091291592, 0.2471009, 0.09720768, 0.12614888, 0.025818294, 0.054517843]
/home/torstein/dqn_runs/cae/space_invaders_small/cae_weights.npz        [0.090209231, 0.075636104, 0.10228521, 0.061429232, 0.10692404, 0.067624137, 0.064067483, 0.076373801]
"""